/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20140214-64 [Feb 15 2014]
 * Copyright (c) 2000 - 2014 Intel Corporation
 * 
 * Disassembly of SSDT-9.aml, Wed Apr  9 22:59:26 2014
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000008CA (2250)
 *     Revision         0x01
 *     Checksum         0xCF
 *     OEM ID           "DELL  "
 *     OEM Table ID     "IsctTabl"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20120711 (538052369)
 */
DefinitionBlock ("SSDT-9.aml", "SSDT", 1, "DELL  ", "IsctTabl", 0x00001000)
{
    /*
     * iASL Warning: There were 7 external control methods found during
     * disassembly, but only 6 were resolved (1 unresolved). Additional
     * ACPI tables may be required to properly disassemble the code. This
     * resulting disassembler output file may not compile because the
     * disassembler did not know how many arguments to assign to the
     * unresolved methods.
     *
     * If necessary, the -fe option can be used to specify a file containing
     * control method external declarations with the associated method
     * argument counts. Each line of the file must be of the form:
     *     External (<method pathname>, MethodObj, <argument count>)
     */
    External (_SB_.PCI0.LPCB.H_EC.ECMD, MethodObj)    // Warning: Unresolved Method, guessing 1 arguments (may be incorrect, see warning above)

    External (_SB_.PCI0.GFX0.ASLC, FieldUnitObj)
    External (_SB_.PCI0.GFX0.ASLE, FieldUnitObj)
    External (_SB_.PCI0.GFX0.PARD, MethodObj)    // 0 Arguments
    External (_SB_.PCI0.GFX0.STAT, FieldUnitObj)
    External (_SB_.PCI0.GFX0.TCHE, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC__.ECRB, MethodObj)    // 1 Arguments
    External (_SB_.PCI0.LPCB.EC__.SX52, MethodObj)    // 2 Arguments
    External (_SB_.PCI0.LPCB.EC__.SX53, MethodObj)    // 3 Arguments
    External (_SB_.PCI0.LPCB.H_EC.IBT1, IntObj)
    External (_SB_.PCI0.LPCB.H_EC.LSTE)
    External (ICNF, FieldUnitObj)
    External (SX50, MethodObj)    // 0 Arguments
    External (SX51, MethodObj)    // 0 Arguments

    Scope (\_SB)
    {
        Device (IAOE)
        {
            OperationRegion (ISCT, SystemMemory, 0xBCEE8F98, 0x0011)
            Field (ISCT, AnyAcc, Lock, Preserve)
            {
                WKRS,   8, 
                AOCE,   8, 
                FFSE,   8, 
                ITMR,   8, 
                ECTM,   32, 
                RCTM,   32, 
                GNPT,   32, 
                ATOW,   8
            }

            Name (_HID, "INT33A0")  // _HID: Hardware ID
            Name (_UID, Zero)  // _UID: Unique ID
            Name (IBT1, Zero)
            Name (IBT2, Zero)
            Name (INSB, Zero)
            Name (WTMS, Zero)
            Name (AWT0, Zero)
            Name (AWT1, Zero)
            Name (AWT2, Zero)
            Name (PTSL, Zero)
            Name (SLPD, Zero)
            Name (IMDS, Zero)
            Name (IWDT, Zero)
            Name (WLS1, One)
            Name (WWS1, Zero)
            Name (ABUF, Zero)
            Method (GABS, 0, NotSerialized)
            {
                Return (ICNF)
            }

            Method (GAOS, 0, NotSerialized)
            {
                If (LEqual (ITMR, One))
                {
                    And (IBT1, One, Local0)
                    Or (Local0, And (IMDS, 0x02), Local0)
                    Return (Local0)
                }
                Else
                {
                    If (CondRefOf (\_SB.PCI0.LPCB.H_EC.IBT1))
                    {
                        Store (\_SB.PCI0.LPCB.H_EC.IBT1, Local0)
                    }
                    Else
                    {
                        Store (IBT1, Local0)
                    }

                    And (Local0, One, Local0)
                    Or (Local0, And (IMDS, 0x02), Local0)
                    Return (Local0)
                }
            }

            Method (SAOS, 1, NotSerialized)
            {
                If (And (\_SB.PCI0.GFX0.TCHE, 0x0100))
                {
                    If (LEqual (ITMR, One))
                    {
                        If (LAnd (LAnd (And (IBT1, One), LOr (And (\_SB.IAOE.WKRS, 
                            0x02), And (\_SB.IAOE.WKRS, 0x10))), LNot (And (Arg0, One))))
                        {
                            If (LNot (\_SB.PCI0.GFX0.PARD ()))
                            {
                                Store (And (\_SB.PCI0.GFX0.STAT, 0xFFFFFFFC), \_SB.PCI0.GFX0.STAT)
                                Store (Or (\_SB.PCI0.GFX0.ASLC, 0x0100), \_SB.PCI0.GFX0.ASLC)
                                Store (One, \_SB.PCI0.GFX0.ASLE)
                            }
                        }
                    }
                    Else
                    {
                        If (CondRefOf (\_SB.PCI0.LPCB.H_EC.IBT1))
                        {
                            If (LAnd (LAnd (And (\_SB.PCI0.LPCB.H_EC.IBT1, One), LOr (And (\_SB.IAOE.WKRS, 
                                0x02), And (\_SB.IAOE.WKRS, 0x10))), LNot (And (Arg0, One))))
                            {
                                If (LNot (\_SB.PCI0.GFX0.PARD ()))
                                {
                                    Store (And (\_SB.PCI0.GFX0.STAT, 0xFFFFFFFC), \_SB.PCI0.GFX0.STAT)
                                    Store (Or (\_SB.PCI0.GFX0.ASLC, 0x0100), \_SB.PCI0.GFX0.ASLC)
                                    Store (One, \_SB.PCI0.GFX0.ASLE)
                                }
                            }
                        }
                    }
                }

                If (LEqual (ITMR, One))
                {
                    Store (And (Arg0, 0x02), IMDS)
                    And (IBT1, 0xFE, Local0)
                    Or (Local0, And (Arg0, One), IBT1)
                }
                Else
                {
                    If (CondRefOf (\_SB.PCI0.LPCB.H_EC.IBT1))
                    {
                        Store (\_SB.PCI0.LPCB.H_EC.IBT1, Local0)
                    }
                    Else
                    {
                        Store (IBT1, Local0)
                    }

                    And (Local0, 0xFE, Local0)
                    Or (Local0, And (Arg0, One), Local0)
                    Store (And (Arg0, 0x02), IMDS)
                    If (CondRefOf (\_SB.PCI0.LPCB.H_EC.IBT1))
                    {
                        Store (Local0, \_SB.PCI0.LPCB.H_EC.IBT1)
                        \_SB.PCI0.LPCB.H_EC.ECMD (0x2B)
                    }
                    Else
                    {
                        Store (Local0, IBT1)
                    }
                }

                If (LEqual (And (Arg0, One), One))
                {
                    Store (SX50 (), ABUF)
                    Store (\_SB.PCI0.LPCB.EC.SX52 (0xFB, 0x000181A0), ABUF)
                    Store (SX51 (), ABUF)
                }
                Else
                {
                    Store (SX50 (), ABUF)
                    Store (\_SB.PCI0.LPCB.EC.SX52 (0xFB, 0x81A0), ABUF)
                    Store (SX51 (), ABUF)
                }

                Return (Zero)
            }

            Method (GANS, 0, NotSerialized)
            {
                Return (INSB)
            }

            Method (SANS, 1, NotSerialized)
            {
                Store (And (Arg0, One), INSB)
            }

            Method (GWLS, 0, NotSerialized)
            {
                Store (Zero, WLS1)
                Store (SX50 (), ABUF)
                Store (\_SB.PCI0.LPCB.EC.SX52 (0xFB, 0x7100), ABUF)
                Store (\_SB.PCI0.LPCB.EC.ECRB (0x02), Local0)
                Store (SX51 (), ABUF)
                If (And (Local0, One))
                {
                    Or (WLS1, One, WLS1)
                }

                If (And (Local0, 0x20))
                {
                    Or (WLS1, 0x02, WLS1)
                }

                If (And (Local0, 0x40))
                {
                    Or (WLS1, 0x04, WLS1)
                }

                If (And (Local0, 0x80))
                {
                    Or (WLS1, 0x08, WLS1)
                }

                Return (WLS1)
            }

            Method (SWLS, 1, NotSerialized)
            {
                Store (Arg0, WLS1)
                Store (0x00FF7101, Local0)
                Store (SX50 (), ABUF)
                Store (\_SB.PCI0.LPCB.EC.SX52 (0xFB, 0x7100), ABUF)
                Store (\_SB.PCI0.LPCB.EC.ECRB (0x02), Local1)
                Store (And (Local1, 0x1F), Local1)
                Store (Or (ShiftLeft (Local1, 0x18), Local0), Local0)
                If (LEqual (And (Arg0, 0x02), 0x02))
                {
                    Or (Local0, 0x20000000, Local0)
                }

                If (LEqual (And (Arg0, 0x04), 0x04))
                {
                    Or (Local0, 0x40000000, Local0)
                }

                If (LEqual (And (Arg0, 0x08), 0x08))
                {
                    Or (Local0, 0x80000000, Local0)
                }

                Store (\_SB.PCI0.LPCB.EC.SX52 (0xFB, Local0), ABUF)
                Store (SX51 (), ABUF)
                Return (Zero)
            }

            Method (GWWS, 0, NotSerialized)
            {
                Store (Zero, WWS1)
                Store (SX50 (), ABUF)
                Store (\_SB.PCI0.LPCB.EC.SX52 (0xFB, 0x7300), ABUF)
                Store (\_SB.PCI0.LPCB.EC.ECRB (0x02), Local0)
                Store (SX51 (), ABUF)
                If (And (Local0, One))
                {
                    Or (WWS1, One, WWS1)
                }

                If (And (Local0, 0x20))
                {
                    Or (WWS1, 0x02, WWS1)
                }

                If (And (Local0, 0x40))
                {
                    Or (WWS1, 0x04, WWS1)
                }

                If (And (Local0, 0x80))
                {
                    Or (WWS1, 0x08, WWS1)
                }

                Return (WWS1)
            }

            Method (SWWS, 1, NotSerialized)
            {
                Store (Arg0, WWS1)
                Store (0x00FF7301, Local0)
                Store (SX50 (), ABUF)
                Store (\_SB.PCI0.LPCB.EC.SX52 (0xFB, 0x7300), ABUF)
                Store (\_SB.PCI0.LPCB.EC.ECRB (0x02), Local1)
                Store (And (Local1, 0x1F), Local1)
                Store (Or (ShiftLeft (Local1, 0x18), Local0), Local0)
                If (LEqual (And (Arg0, 0x02), 0x02))
                {
                    Or (Local0, 0x20000000, Local0)
                }

                If (LEqual (And (Arg0, 0x04), 0x04))
                {
                    Or (Local0, 0x40000000, Local0)
                }

                If (LEqual (And (Arg0, 0x08), 0x08))
                {
                    Or (Local0, 0x80000000, Local0)
                }

                Store (\_SB.PCI0.LPCB.EC.SX52 (0xFB, Local0), ABUF)
                Store (SX51 (), ABUF)
                Return (Zero)
            }

            Method (SASD, 1, NotSerialized)
            {
                If (LEqual (And (ShiftRight (Arg0, 0x18), 0x80), 0x80)) {}
                Else
                {
                    If (LEqual (Arg0, Zero)) {}
                    Else
                    {
                        Store (0x91A0, Local0)
                        Store (Zero, Local1)
                        And (ShiftLeft (Arg0, 0x10), 0xFFFF0000, Local1)
                        Or (Local0, Local1, Local0)
                        And (ShiftRight (Arg0, 0x10), 0xFFFF, Local1)
                        Store (SX50 (), ABUF)
                        Store (\_SB.PCI0.LPCB.EC.SX53 (0xFB, Local0, Local1), ABUF)
                        Store (SX51 (), ABUF)
                    }
                }

                Return (Zero)
            }

            Method (GPWR, 0, NotSerialized)
            {
                Store (SX50 (), ABUF)
                Store (\_SB.PCI0.LPCB.EC.SX52 (0xFB, 0x4B00), ABUF)
                Store (\_SB.PCI0.LPCB.EC.ECRB (0x02), Local0)
                Store (SX51 (), ABUF)
                If (LEqual (Local0, 0xA0))
                {
                    Return (0x12)
                }

                If (LEqual (Local0, 0xA1))
                {
                    Return (0x08)
                }

                If (LEqual (Local0, 0xA2))
                {
                    Return (0x14)
                }

                Return (One)
            }

            Method (GPCS, 0, NotSerialized)
            {
                If (LEqual (ITMR, Zero))
                {
                    If (CondRefOf (\_SB.PCI0.LPCB.H_EC.LSTE))
                    {
                        Return (And (\_SB.PCI0.LPCB.H_EC.LSTE, One))
                    }
                }
                Else
                {
                    Return (One)
                }
            }

            Method (GAWD, 0, NotSerialized)
            {
                Return (IWDT)
            }

            Method (SAWD, 1, NotSerialized)
            {
                Store (Arg0, IWDT)
            }
        }
    }
}

